Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms
Interface FormManager

All Known Implementing Classes:
  DefaultFormManager

public interface FormManager

Work interface for the component that can create `Form`s.

Version:
  $Id: FormManager.java 587759 2007-10-24 03:00:37Z vgritsenko $

Field Summary
`static String` | `ROLE`

Method Summary
`Form` | `createForm(Element formElement)` Creates a form instance based on the XML form definition that is supplied as a DOM tree.
`Form` | `createForm(Source source)` Creates a form instance based on the XML form definition that can be read from the specified source.
`Form` | `createForm(String uri)` Creates a form instance based on the XML form definition that can be retrieved from the specified URI.
`FormDefinition` | `createFormDefinition(Element formElement)` Creates a form definition based on the XML form definition that is supplied as a DOM tree.
`FormDefinition` | `createFormDefinition(Source source)` Creates a form definition based on the XML form definition that can be retrieved from the specified source.
`FormDefinition` | `createFormDefinition(String uri)` Creates a form definition based on the XML form definition that can be retrieved from the specified URI.

Field Detail

### ROLE

    public static final String ROLE

Method Detail

### createForm

    public Form createForm(String uri)
                    throws Exception

  Creates a form instance based on the XML form definition that can be retrieved from the specified URI.

  The form definition will be cached, so that future form instances can be created quickly.

  Throws:
    `Exception`

### createForm

    public Form createForm(Source source)
                    throws Exception

  Creates a form instance based on the XML form definition that can be read from the specified source.

  To avoid having to resolve the Source object yourself, use the `createForm(String)` method.

  The form definition will be cached, so that future form instances can be created quickly.

  Throws:
    `Exception`

### createForm

    public Form createForm(Element formElement)
                    throws Exception

  Creates a form instance based on the XML form definition that is supplied as a DOM tree.

  The specified element must be a fd:form element.

  The Form Definition will not be cached.

  Throws:
    `Exception`

### createFormDefinition

    public FormDefinition createFormDefinition(String uri)
                                        throws Exception

  Creates a form definition based on the XML form definition that can be retrieved from the specified URI.

  The root element must be a <fd:form> element.

  The form definition will be cached, so that future form instances can be created quickly.

  Throws:
    `Exception`

### createFormDefinition

    public FormDefinition createFormDefinition(Source source)
                                        throws Exception

  Creates a form definition based on the XML form definition that can be retrieved from the specified source.

  To avoid having to resolve the Source object yourself, use the `createFormDefinition(String)` method.

  The root element must be a <fd:form> element.

  The form definition will be cached, so that future form instances can be created quickly.

  Throws:
    `Exception`

### createFormDefinition

    public FormDefinition createFormDefinition(Element formElement)
                                        throws Exception

  Creates a form definition based on the XML form definition that is supplied as a DOM tree.

  The specified element must be a <fd:form> element.

  The Form Definition will not be cached.

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.